import 'dart:async';

import 'package:flutter/services.dart';

class FlutterJimPlugin {
  static const MethodChannel _channel =
      const MethodChannel('flutter_jim_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> get platformJimVersion async {
    final String version = await _channel.invokeMethod('platformJimVersion');
    return version;
  }
}
